﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Diagnostics;

namespace WpfApplication1
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			List<Site> sites = new List<Site>();
			sites.Add(new Site() { NavigateUri = new Uri("http://www.google.com", UriKind.RelativeOrAbsolute) });
			sites.Add(new Site() { NavigateUri = new Uri("http://www.yahoo.com", UriKind.RelativeOrAbsolute) });
			sites.Add(new Site() { NavigateUri = new Uri("http://www.microsoft.com", UriKind.RelativeOrAbsolute) });
			this.boundTreeView.ItemsSource = sites;
		}

		private void Hyperlink_RequestNavigate(object sender, RequestNavigateEventArgs e)
		{
			Process.Start(new ProcessStartInfo(e.Uri.AbsoluteUri));
			e.Handled = true;
		}
	}

	public class Site
	{
		public Uri NavigateUri { get; set; }
	}
}
